﻿Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls

Imports VB_Web.EasyConfig.Settings

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load

        If Not IsPostBack Then
            Dim settings As SettingsStore = SettingsLib.GetSettings()

            If settings IsNot Nothing Then
                txtUploadFolder.Text = settings.UploadFolder
                txtEmailErrorsTo.Text = settings.EmailErrorsTo
                txtEmailServerHostname.Text = settings.EmailServerHostname
                litMessage.Text = "Settings loaded!"
            Else
                litMessage.Text = "Failed to load settings!"
            End If
        End If
    End Sub

    Protected Sub btnSave_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnSave.Click

        Dim settings As New SettingsStore() With { _
         .UploadFolder = txtUploadFolder.Text.Trim(), _
         .EmailErrorsTo = txtEmailErrorsTo.Text.Trim(), _
         .EmailServerHostname = txtEmailServerHostname.Text.Trim() _
        }

        Dim result As Boolean = SettingsLib.SaveSettings(settings)

        If result Then
            litMessage.Text = "Settings saved!"
        Else
            litMessage.Text = "Settings could not be saved!"
        End If
    End Sub
End Class
